Eclipse Platform Release 3.7

## org.eclipse.core.databinding.conversion
Class Converter

    java.lang.Object
      org.eclipse.core.databinding.conversion.Converter

All Implemented Interfaces:
  IConverter

Direct Known Subclasses:
  org.eclipse.core.internal.databinding.validation.NumberFormatConverter, NumberToStringConverter

    public abstract class Converter

extends Object
implements IConverter

Abstract base class for converters.

Since:
  1.0

Constructor Summary
`Converter(Object fromType, Object toType)`

Method Summary
`Object` `getFromType()` Returns the type whose instances can be converted by this converter.
`Object` `getToType()` Returns the type to which this converter can convert.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.core.databinding.conversion.IConverter
`convert`

Constructor Detail

### Converter

    public Converter(Object fromType,
                     Object toType)

Parameters:
  `fromType` -
  `toType` -

Method Detail

### getFromType

    public Object getFromType()

  Description copied from interface: `IConverter`
  Returns the type whose instances can be converted by this converter. The return type is Object rather than Class to optionally support richer type systems than the one provided by Java reflection.

  Specified by:
    `getFromType` in interface `IConverter`
  Returns:
    the type whose instances can be converted, or null if this converter is untyped

### getToType

    public Object getToType()

  Description copied from interface: `IConverter`
  Returns the type to which this converter can convert. The return type is Object rather than Class to optionally support richer type systems than the one provided by Java reflection.

  Specified by:
    `getToType` in interface `IConverter`
  Returns:
    the type to which this converter can convert, or null if this converter is untyped

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.